export DIR_SCRIPT=$(cd `dirname "$0"`;pwd)

echo "###### start compiling smartos..."
export DIR_SMARTOS_SRC=${DIR_SCRIPT}/smartos_code
cd ${DIR_SMARTOS_SRC}
make clean && make

echo "###### start compiling spinlock..."
export DIR_SPINLOCK_SRC=${DIR_SCRIPT}/spinlock_code
cd ${DIR_SPINLOCK_SRC}
make clean && make

echo "###### start compiling interrupt..."
export DIR_INTERRUPT_SRC=${DIR_SCRIPT}/interrupt_code
cd ${DIR_INTERRUPT_SRC}
make clean && make

echo "###### start compiling hw_q..."
export DIR_HWQ_SRC=${DIR_SCRIPT}/hw_q_code
cd ${DIR_HWQ_SRC}
make clean && make                
